Get a wallet's live balance for an asset (scope otc-exchanges:read)
curl --request GET \
--url https://api.balansas.com/functions/v1/customer-api/otc-exchanges/wallets/{id}/balance \
--header 'x-api-key: <api-key>'import requests
url = "https://api.balansas.com/functions/v1/customer-api/otc-exchanges/wallets/{id}/balance"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.balansas.com/functions/v1/customer-api/otc-exchanges/wallets/{id}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"walletId": "660e8400-e29b-41d4-a716-446655440001",
"network": "polygon",
"assetBalance": "1250.000000",
"asset": "USDC"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}OTC Exchanges
Get a wallet's live balance for an asset (scope otc-exchanges:read)
GET
/
otc-exchanges
/
wallets
/
{id}
/
balance
Get a wallet's live balance for an asset (scope otc-exchanges:read)
Authorizations
Customer API key. Send as x-api-key: sk_... or Authorization: Bearer sk_.... Write operations also require an X-CSRF-Token header (64-char hex).
Query Parameters
Crypto asset to fetch the balance for; defaults to USDC.
Required string length:
1 - 10Example:
"USDC"
Response
Success
Show child attributes
Show child attributes
⌘I

